<?php

declare(strict_types=1);

namespace apexl\Io\modules\mirror\Interface;

interface Uploadable
{
    public function getKey(): string;

    public function getPath(): string;

    public function unlockUpload(): void;

    public function lockUpload(): void;

    public function markUploaded(): void;

    public function isUploaded(): bool;

    public function isLocked(): bool;

    public function getMimeType(): string;
}
